Subject: bug#63941: [PATCH] ; always CRLF before non-first boundary in multipart form

From: ozzloy <[email-masked]>
Date: Wed, 7 Jun 2023 23:43:22 -0700

Thanks for clarifying!

> This part is exactly what I'm asking about: how do I "upload the file"
> using EWW?  Can you please show what I should type to do that?

0. In a terminal, do the following
#+begin_src bash
  git clone https://git.sr.ht/~ozzloy/emacs-bug-63941
  cd emacs-bug-63941
  git checkout reproduce-bug-63941
  ./server.py
#+end_src

1. In an emacs window, do the following

   M-x eww<Enter>
   localhost:8085<Enter>

   Once EWW opens localhost:8085, it will display the web page with a button
   labeled "Browse". Click that button.

2. It will then ask you to choose a file. Choose the file
   =.../emacs-bug-63941/filename= in the same directory where =server.py=
is.

3. Hit <tab> to go to the "Submit" button, and hit <Enter> to upload that
file.

> Where does one see this result?  Is it in some Emacs buffer?  In that
> case, what is the name of that buffer?

The output will be in the terminal where =./server.py= was run.  I ran it
in an
emacs shell buffer named =$emacs-bug-63941=.

On Wed, Jun 7, 2023 at 11:09 PM Eli Zaretskii <[email-masked]> wrote:

> > From: ozzloy <[email-masked]>
> > Date: Wed, 7 Jun 2023 19:48:29 -0700
> > Cc: [email-masked]
> >
> > 1. Then use EWW to browse to localhost:8085 and upload the file
> =filename=.
>
> This part is exactly what I'm asking about: how do I "upload the file"
> using EWW?  Can you please show what I should type to do that?
>
> > Here's my result when doing that, first with EWW.
> > #+begin_quote
> > upload_content = b'file content', name = 'filename', size = 12
> > 127.0.0.1 - - [07/Jun/2023 18:55:03] "POST / HTTP/1.1" 200 -
> > #+end_quote
>
> Where does one see this result?  Is it in some Emacs buffer?  In that
> case, what is the name of that buffer?
>
> Thanks.
>